namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：员工信息  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 17:44:31 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("sys_employee")]
    public class EmployeeEntity : DEntityBase
    {
        /// <summary>
        /// 员工姓名
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string Name { get; set; }
        /// <summary>
        /// 1男2女
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Gender { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string Phone { get; set; }
        /// <summary>
        /// 员工IC卡
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ICCard { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Header { get; set; }

        [SugarColumn(IsNullable = false)]
        public DateTime JoinDate { get; set; }
        /// <summary>
        /// 入职时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? OutDate { get; set; }
        /// <summary>
        /// 身份证
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string IdCard { get; set; }
        /// <summary>
        /// 1在职2出差3离职
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public int Stutas { get; set; }
        /// <summary>
        /// 超管
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>
        public string TB_RoleId { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDeleted { get; set; }
    }
}
